
Redmine - Defect #13840

Style issues by priority position, not id

2013-04-22 17:37 - Rocco Stanzione

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version:  

Description

This probably gets overlooked because people create priorities in the right order the first time, or use themes that leverage

position_name, so it always looks right. If you reorder them, themes that style according to classes like priority-n have a bad time. In

the IssuePriority model can we change this method definition like so?

  def css_classes

    "priority-#{position} priority-#{position_name}" 

  end

 I'd submit a patch, but... for bonus points could we maybe move that process to github, where I can easily fork and submit pull

requests?

Related issues:

Is duplicate of Redmine - Defect #11880: Alternate theme colors by issue prio... Closed

History

#1 - 2013-09-30 01:34 - Mischa The Evil

- Status changed from New to Closed

- Resolution set to Duplicate

Rocco Stanzione wrote:

... If you reorder them, themes that style according to classes like priority-n have a bad time. In the IssuePriority model can we change this

method definition like so? ...

 See issue #2071#note-7 (note-7).

This is a duplicate of #11880. The rationale of the change is outlined best in #2071.

#2 - 2013-09-30 01:34 - Mischa The Evil

- Is duplicate of Defect #11880: Alternate theme colors by issue priority in issue list is wrong added
